diff -cur scim-bridge-0.4.15/agent/Makefile.in scim-bridge-0.4.15.MAKE.OK/agent/Makefile.in
--- scim-bridge-0.4.15/agent/Makefile.in	2008-02-05 23:31:43.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/agent/Makefile.in	2008-08-13 10:35:02.000000000 +0900
@@ -105,7 +105,7 @@
 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
-CXX = @CXX@
+CXX = @CXX@ -I/usr/local/include
 CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
diff -cur scim-bridge-0.4.15/agent/scim-bridge-agent-application.cpp scim-bridge-0.4.15.MAKE.OK/agent/scim-bridge-agent-application.cpp
--- scim-bridge-0.4.15/agent/scim-bridge-agent-application.cpp	2007-11-07 22:09:35.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/agent/scim-bridge-agent-application.cpp	2008-08-13 10:29:46.000000000 +0900
@@ -22,6 +22,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <unistd.h>
+#include <libintl.h>
 
 #include <iostream>
 
@@ -46,8 +47,8 @@
 int main (int argc, char *argv[])
 {
     setlocale(LC_ALL, "");
-    bindtextdomain (PACKAGE, SCIM_LOCALEDIR);
-    textdomain (PACKAGE);
+    bindtextdomain (PACKAGE, SCIM_LOCALEDIR); 
+    textdomain (PACKAGE); 
 
     bool standalone_enabled = false;
     bool noexit_enabled = false;
diff -cur scim-bridge-0.4.15/agent/scim-bridge-agent-output.cpp scim-bridge-0.4.15.MAKE.OK/agent/scim-bridge-agent-output.cpp
--- scim-bridge-0.4.15/agent/scim-bridge-agent-output.cpp	2007-06-02 12:33:47.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/agent/scim-bridge-agent-output.cpp	2008-08-13 10:34:04.000000000 +0900
@@ -17,14 +17,13 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <assert.h>
-#include <malloc.h>
 #include <pthread.h>
 #include <stdarg.h>
 #include <stdio.h>
 #include <string.h>
 #include <syslog.h>
+#include <stdlib.h>
 
 #include "scim-bridge-debug.h"
 #include "scim-bridge-output.h"
diff -cur scim-bridge-0.4.15/agent/scim-bridge-agent.cpp scim-bridge-0.4.15.MAKE.OK/agent/scim-bridge-agent.cpp
--- scim-bridge-0.4.15/agent/scim-bridge-agent.cpp	2008-02-24 09:08:43.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/agent/scim-bridge-agent.cpp	2008-08-13 10:32:54.000000000 +0900
@@ -22,6 +22,7 @@
 #include <signal.h>
 #include <string.h>
 #include <unistd.h>
+#include <libintl.h>
 
 #include <sys/select.h>
 #include <sys/time.h>
diff -cur scim-bridge-0.4.15/client-common/scim-bridge-client-output.c scim-bridge-0.4.15.MAKE.OK/client-common/scim-bridge-client-output.c
--- scim-bridge-0.4.15/client-common/scim-bridge-client-output.c	2007-06-02 12:33:48.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/client-common/scim-bridge-client-output.c	2008-08-12 16:50:51.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <stdarg.h>
 #include <stdio.h>
 #include <string.h>
diff -cur scim-bridge-0.4.15/client-common/scim-bridge-client.c scim-bridge-0.4.15.MAKE.OK/client-common/scim-bridge-client.c
--- scim-bridge-0.4.15/client-common/scim-bridge-client.c	2007-06-23 12:08:09.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/client-common/scim-bridge-client.c	2008-08-12 16:50:41.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <assert.h>
 #include <errno.h>
 #include <stdlib.h>
diff -cur scim-bridge-0.4.15/client-qt/qt4/Makefile.in scim-bridge-0.4.15.MAKE.OK/client-qt/qt4/Makefile.in
--- scim-bridge-0.4.15/client-qt/qt4/Makefile.in	2008-02-05 23:31:43.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/client-qt/qt4/Makefile.in	2008-08-13 10:42:06.000000000 +0900
@@ -106,7 +106,7 @@
 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
-CXX = @CXX@
+CXX = @CXX@ -I/usr/local/include
 CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -302,7 +302,7 @@
 			  -I$(top_srcdir)/client-common
 
 noinst_HEADERS = scim-bridge-client-qt.h scim-bridge-client-imcontext-qt.h  scim-bridge-client-key-event-utility-qt.h scim-bridge-client-common-qt.h
-moduledir = @QT4_PREFIX@/plugins/inputmethods
+moduledir = /usr/local/lib/qt4/plugins/inputmethods
 module_LTLIBRARIES = im-scim-bridge.la
 im_scim_bridge_la_SOURCES = im-scim-bridge-qt.cpp \
 							scim-bridge-client-qt.cpp \
@@ -654,7 +654,8 @@
 scim-bridge-client-qt.cpp: moc_scim-bridge-client-qt.cpp
 
 moc_scim-bridge-client-qt.cpp: scim-bridge-client-qt.h
-	$(MOC) $< -o $*.cpp
+#	$(MOC) $< -o $*.cpp
+	cp /dev/null $*.cpp
 
 dist-hook:
 	-rm -f $(distdir)/moc_scim-bridge-client-qt.cpp
diff -cur scim-bridge-0.4.15/common/intl.h scim-bridge-0.4.15.MAKE.OK/common/intl.h
--- scim-bridge-0.4.15/common/intl.h	2007-11-07 19:46:27.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/intl.h	2008-08-12 21:58:35.000000000 +0900
@@ -27,7 +27,6 @@
 #define __INTL_H__
 
 #ifdef ENABLE_NLS
-#  include <libintl.h>
 #  define _(String) dgettext(PACKAGE,String)
 #  ifdef gettext_noop
 #    define N_(String) gettext_noop(String)
diff -cur scim-bridge-0.4.15/common/scim-bridge-attribute.c scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-attribute.c
--- scim-bridge-0.4.15/common/scim-bridge-attribute.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-attribute.c	2008-08-12 16:48:39.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <malloc.h>
 #include <string.h>
 
 #include "scim-bridge-attribute.h"
diff -cur scim-bridge-0.4.15/common/scim-bridge-display.c scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-display.c
--- scim-bridge-0.4.15/common/scim-bridge-display.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-display.c	2008-08-12 16:48:48.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <malloc.h>
 #include <stdlib.h>
 #include <string.h>
 
diff -cur scim-bridge-0.4.15/common/scim-bridge-key-event.c scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-key-event.c
--- scim-bridge-0.4.15/common/scim-bridge-key-event.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-key-event.c	2008-08-12 16:48:58.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <malloc.h>
 
 #include "scim-bridge-key-event.h"
 #include "scim-bridge-message-constant.h"
diff -cur scim-bridge-0.4.15/common/scim-bridge-message.c scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-message.c
--- scim-bridge-0.4.15/common/scim-bridge-message.c	2007-07-07 12:10:28.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-message.c	2008-08-12 16:49:09.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <malloc.h>
 #include <string.h>
 
 #include "scim-bridge-message.h"
diff -cur scim-bridge-0.4.15/common/scim-bridge-messenger.c scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-messenger.c
--- scim-bridge-0.4.15/common/scim-bridge-messenger.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-messenger.c	2008-08-12 16:49:35.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <alloca.h>
 #include <errno.h>
 #include <fcntl.h>
 #include <signal.h>
diff -cur scim-bridge-0.4.15/common/scim-bridge-path.c scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-path.c
--- scim-bridge-0.4.15/common/scim-bridge-path.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-path.c	2008-08-12 16:49:42.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <pwd.h>
 #include <stdio.h>
 #include <stdlib.h>
diff -cur scim-bridge-0.4.15/common/scim-bridge-string.h scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-string.h
--- scim-bridge-0.4.15/common/scim-bridge-string.h	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.15.MAKE.OK/common/scim-bridge-string.h	2008-08-12 16:50:19.000000000 +0900
@@ -37,17 +37,10 @@
 {
 #endif
 
-#ifndef __STDC_ISO_10646__
-    /**
-     * The type for wide string.
-     */
-    typedef uint32 wchar;
-#else
     /**
      * The type for wide string.
      */
     typedef wchar_t wchar;
-#endif
 
     /**
      * Translate an utf8 string into an ucs4 wide string.
